Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class TestManifest

    java.lang.Object
      com.hp.hpl.jena.vocabulary.TestManifest

    public class TestManifest

extends java.lang.Object

Vocabulary definitions from test-manifest.n3

Author:
  Auto-generated by schemagen on 09 Jan 2007 13:50

Field Summary
`static Resource` | `accepted`
`static Property` | `action` Action to perform
`static Property` | `entries` Connects the manifest resource to rdf:type list of entries
`static Property` | `include` Connects the manifest resource to rdf:type list of manifests
`static Resource` | `Manifest` The class of manifests
`static Resource` | `ManifestEntry` One entry in rdf:type list of entries
`static Property` | `name` Optional name of this entry
`static Resource` | `NAMESPACE` The namespace of the vocabulary as a resource
`static Resource` | `NegativeSyntaxTest` A type of test specifically for syntax testing.
`static java.lang.String` | `NS` The namespace of the vocabulary as a string
`static Resource` | `PositiveSyntaxTest` A type of test specifically for syntax testing.
`static Resource` | `proposed`
`static Resource` | `QueryEvaluationTest` A type of test specifically for query evaluation testing.
`static Resource` | `rejected`
`static Property` | `result` The test statusThe expected outcome

Constructor Summary
`TestManifest()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabulary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabulary as a string

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabulary as a resource

### result

    public static final Property result

  The test statusThe expected outcome

### action

    public static final Property action

  Action to perform

### name

    public static final Property name

  Optional name of this entry

### entries

    public static final Property entries

  Connects the manifest resource to rdf:type list of entries

### include

    public static final Property include

  Connects the manifest resource to rdf:type list of manifests

### QueryEvaluationTest

    public static final Resource QueryEvaluationTest

  A type of test specifically for query evaluation testing. Query evaluation tests are required to have an associated input dataset, a query, and an expected output dataset.

### NegativeSyntaxTest

    public static final Resource NegativeSyntaxTest

  A type of test specifically for syntax testing. Syntax tests are not required to have an associated result, only an action. Negative syntax tests are tests of which the result should be a parser error.

### PositiveSyntaxTest

    public static final Resource PositiveSyntaxTest

  A type of test specifically for syntax testing. Syntax tests are not required to have an associated result, only an action.

### ManifestEntry

    public static final Resource ManifestEntry

  One entry in rdf:type list of entries

### Manifest

    public static final Resource Manifest

  The class of manifests

### accepted

    public static final Resource accepted

### proposed

    public static final Resource proposed

### rejected

    public static final Resource rejected

Constructor Detail

### TestManifest

    public TestManifest()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabulary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP